FullWrtGraph Class Reference

the main class to read the graphic part of a FullWrite Text file More...

`#include <FullWrtGraph.hxx>`

## Public Member Functions

| FullWrtGraph (FullWrtParser &parser)
| constructor
virtual | ~FullWrtGraph ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions

void | flushExtra ()
| sends the data which have not yet been sent to the listener
bool | sendPageGraphics ()
| try to send the page graphic
bool | getBorder (int bId, FullWrtStruct::Border &border) const
| try to return a border corresponding to an id
bool | send (int fileId, MWAWColor const &fontColor)
| try to send the child of a zone
bool | readBorderDocInfo (FullWrtStruct::EntryPtr zone)
| try to read the border definiton (at the end of doc info)
std::shared_ptr< FullWrtStruct::ZoneHeader > | readSideBar (FullWrtStruct::EntryPtr zone, FullWrtStruct::ZoneHeader const &doc)
| try to read a sidebar data (zone 13 or zone 14)
bool | readSideBarPosition (FullWrtStruct::EntryPtr zone, FullWrtGraphInternal::SideBar &frame)
| try to read the sidebar position zone
bool | readSideBarFormat (FullWrtStruct::EntryPtr zone, FullWrtGraphInternal::SideBar &frame)
| try to read the sidebar second zone
bool | readSideBarUnknown (FullWrtStruct::EntryPtr zone, FullWrtGraphInternal::SideBar &frame)
| try to read the sidebar third zone
bool | sendSideBar (FullWrtGraphInternal::SideBar const &frame)
| try to send a sidebar
bool | readGraphic (FullWrtStruct::EntryPtr zone)
| check if a zone is a graphic zone
bool | sendGraphic (int fId)
| send a graphic knowing the graphic fileId
bool | sendGraphic (FullWrtStruct::EntryPtr zone)
| send a graphic to a listener (if it exists)
std::shared_ptr< FullWrtStruct::ZoneHeader > | readGraphicData (FullWrtStruct::EntryPtr zone, FullWrtStruct::ZoneHeader &doc)
| try to read the graphic data

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< FullWrtGraphInternal::State > | m_state
| the state
FullWrtParser * | m_mainParser
| the main parser;

## Private Member Functions

| FullWrtGraph (FullWrtGraph const &orig)=delete
FullWrtGraph & | operator= (FullWrtGraph const &orig)=delete

## Friends

class | FullWrtParser
class | FullWrtGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a FullWrite Text file

## Constructor & Destructor Documentation

## FullWrtGraph() [1/2]

FullWrtGraph::FullWrtGraph | ( | FullWrtParser & | parser | ) |

explicit

constructor

Referenced by FullWrtGraph(), and operator=().

## ~FullWrtGraph()

FullWrtGraph::~FullWrtGraph | ( |  | ) |

virtual

destructor

## FullWrtGraph() [2/2]

FullWrtGraph::FullWrtGraph | ( | FullWrtGraph const & | orig | ) |

private delete

## Member Function Documentation

## flushExtra()

void FullWrtGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## getBorder()

bool FullWrtGraph::getBorder | ( | int | bId,
|  | FullWrtStruct::Border & | border ) const

protected

try to return a border corresponding to an id

Referenced by sendSideBar().

## numPages()

int FullWrtGraph::numPages | ( |  | ) | const

returns the number of pages

## operator=()

FullWrtGraph & FullWrtGraph::operator= | ( | FullWrtGraph const & | orig | ) |

private delete

## readBorderDocInfo()

bool FullWrtGraph::readBorderDocInfo | ( | FullWrtStruct::EntryPtr | zone | ) |

protected

try to read the border definiton (at the end of doc info)

## readGraphic()

bool FullWrtGraph::readGraphic | ( | FullWrtStruct::EntryPtr | zone | ) |

protected

check if a zone is a graphic zone

## readGraphicData()

std::shared_ptr< FullWrtStruct::ZoneHeader > FullWrtGraph::readGraphicData | ( | FullWrtStruct::EntryPtr | zone,
|  | FullWrtStruct::ZoneHeader & | doc )

protected

try to read the graphic data

## readSideBar()

std::shared_ptr< FullWrtStruct::ZoneHeader > FullWrtGraph::readSideBar | ( | FullWrtStruct::EntryPtr | zone,
|  | FullWrtStruct::ZoneHeader const & | doc )

protected

try to read a sidebar data (zone 13 or zone 14)

## readSideBarFormat()

bool FullWrtGraph::readSideBarFormat | ( | FullWrtStruct::EntryPtr | zone,
|  | FullWrtGraphInternal::SideBar & | frame )

protected

try to read the sidebar second zone

Referenced by readSideBar().

## readSideBarPosition()

bool FullWrtGraph::readSideBarPosition | ( | FullWrtStruct::EntryPtr | zone,
|  | FullWrtGraphInternal::SideBar & | frame )

protected

try to read the sidebar position zone

Referenced by readSideBar().

## readSideBarUnknown()

bool FullWrtGraph::readSideBarUnknown | ( | FullWrtStruct::EntryPtr | zone,
|  | FullWrtGraphInternal::SideBar & | frame )

protected

try to read the sidebar third zone

Referenced by readSideBar().

## send()

bool FullWrtGraph::send | ( | int | fileId,
|  | MWAWColor const & | fontColor )

protected

try to send the child of a zone

## sendGraphic() [1/2]

bool FullWrtGraph::sendGraphic | ( | FullWrtStruct::EntryPtr | zone | ) |

protected

send a graphic to a listener (if it exists)

## sendGraphic() [2/2]

bool FullWrtGraph::sendGraphic | ( | int | fId | ) |

protected

send a graphic knowing the graphic fileId

Referenced by flushExtra(), and sendGraphic().

## sendPageGraphics()

bool FullWrtGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

## sendSideBar()

bool FullWrtGraph::sendSideBar | ( | FullWrtGraphInternal::SideBar const & | frame | ) |

protected

try to send a sidebar

Referenced by sendPageGraphics().

## version()

int FullWrtGraph::version | ( |  | ) | const

returns the file version

Referenced by readGraphic(), readGraphicData(), and readSideBarFormat().

## Friends And Related Symbol Documentation

## FullWrtGraphInternal::SubDocument

friend class FullWrtGraphInternal::SubDocument

friend

## FullWrtParser

friend class FullWrtParser

friend

Referenced by FullWrtGraph(), FullWrtGraphInternal::SubDocument, and FullWrtParser.

## Member Data Documentation

## m_mainParser

FullWrtParser* FullWrtGraph::m_mainParser

protected

the main parser;

Referenced by FullWrtGraph(), readGraphicData(), send(), and sendSideBar().

## m_parserState

MWAWParserStatePtr FullWrtGraph::m_parserState

protected

the parser state

Referenced by FullWrtGraph(), sendGraphic(), sendSideBar(), and version().

## m_state

std::shared_ptr<FullWrtGraphInternal::State> FullWrtGraph::m_state

protected

the state

Referenced by flushExtra(), FullWrtGraph(), getBorder(), numPages(), readBorderDocInfo(), readGraphic(), readSideBar(), sendGraphic(), sendPageGraphics(), and version().

The documentation for this class was generated from the following files:

- FullWrtGraph.hxx
- FullWrtGraph.cxx